| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::ImageTagChangeset Class Reference

## Public Types
enum | Operation { Unknown , Added , Moved , Removed , RemovedAll , PropertiesChanged }
| An ImageTagChangeset covers adding and removing the association of a tag with an image. More...

## Public Member Functions
| ImageTagChangeset (const QList< qlonglong > &ids, const QList< int > &tags, Operation operation)
| ImageTagChangeset (qlonglong id, const QList< int > &tags, Operation operation)
| ImageTagChangeset (qlonglong id, int tag, Operation operation)
bool | containsImage (qlonglong id) const
bool | containsTag (int id) const
QList< qlonglong > | ids () const
Operation | operation () const
ImageTagChangeset & | operator<< (const ImageTagChangeset &other)
| Combines two ImageTagChangesets.
ImageTagChangeset & | operator<< (const QDBusArgument &argument)
const ImageTagChangeset & | operator>> (QDBusArgument &argument) const
bool | propertiesWereChanged () const
QList< int > | tags () const
bool | tagsWereAdded () const
bool | tagsWereRemoved () const

## Member Enumeration Documentation

## ◆ Operation

enum Digikam::ImageTagChangeset::Operation

It is described by a list of affected image ids, a list of affected tags, and an operation. There is no guarantee that information in the database has actually been changed.

## Member Function Documentation

## ◆ operator<<()

ImageTagChangeset & Digikam::ImageTagChangeset::operator<< | ( | const ImageTagChangeset & | other | ) |

The operations shall not differ between the two sets; the operation is set to Unknown if it differs. This is especially not suitable for RemovedAll changesets.